package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmRecApplnMtnExpDtlBean extends BaseDetailBean implements Serializable {
  private String txtPeriodFrom;
  
  private String txtPeriodTo;
  
  private String txtOrganisation;
  
  private String txtLocation;
  
  private String txtDesignationCode;
  
  private String txtWorkDesc;
  
  private String txtBasic;
  
  private String txtDA;
  
  private String txtOtherAllowances;
  
  private String txtBonus;
  
  private String txtIncentives;
  
  private String txtConv;
  
  private String txtHRA;
  
  private String txtLeavingSal;
  
  private String txtStartingSal;
  
  private String txtNoPersonSupervised;
  
  private String txtReportTo;
  
  private String txtWorkExp;
  
  public String getTxtPeriodFrom() {
    return this.txtPeriodFrom;
  }
  
  public void setTxtPeriodFrom(String newTxtPeriodFrom) {
    this.txtPeriodFrom = newTxtPeriodFrom;
  }
  
  public String getTxtPeriodTo() {
    return this.txtPeriodTo;
  }
  
  public void setTxtPeriodTo(String newTxtPeriodTo) {
    this.txtPeriodTo = newTxtPeriodTo;
  }
  
  public String getTxtOrganisation() {
    return this.txtOrganisation;
  }
  
  public void setTxtOrganisation(String newTxtOrganisation) {
    this.txtOrganisation = newTxtOrganisation;
  }
  
  public String getTxtLocation() {
    return this.txtLocation;
  }
  
  public void setTxtLocation(String newTxtLocation) {
    this.txtLocation = newTxtLocation;
  }
  
  public String getTxtDesignationCode() {
    return this.txtDesignationCode;
  }
  
  public void setTxtDesignationCode(String newTxtDesignationCode) {
    this.txtDesignationCode = newTxtDesignationCode;
  }
  
  public String getTxtWorkDesc() {
    return this.txtWorkDesc;
  }
  
  public void setTxtWorkDesc(String newTxtWorkDesc) {
    this.txtWorkDesc = newTxtWorkDesc;
  }
  
  public String getTxtBasic() {
    return this.txtBasic;
  }
  
  public void setTxtBasic(String newTxtBasic) {
    this.txtBasic = newTxtBasic;
  }
  
  public String getTxtDA() {
    return this.txtDA;
  }
  
  public void setTxtDA(String newTxtDA) {
    this.txtDA = newTxtDA;
  }
  
  public String getTxtOtherAllowances() {
    return this.txtOtherAllowances;
  }
  
  public void setTxtOtherAllowances(String newTxtOtherAllowances) {
    this.txtOtherAllowances = newTxtOtherAllowances;
  }
  
  public String getTxtBonus() {
    return this.txtBonus;
  }
  
  public void setTxtBonus(String newTxtBonus) {
    this.txtBonus = newTxtBonus;
  }
  
  public String getTxtIncentives() {
    return this.txtIncentives;
  }
  
  public void setTxtIncentives(String newTxtIncentives) {
    this.txtIncentives = newTxtIncentives;
  }
  
  public String getTxtConv() {
    return this.txtConv;
  }
  
  public void setTxtConv(String newTxtConv) {
    this.txtConv = newTxtConv;
  }
  
  public String getTxtHRA() {
    return this.txtHRA;
  }
  
  public void setTxtHRA(String newTxtHRA) {
    this.txtHRA = newTxtHRA;
  }
  
  public String getTxtLeavingSal() {
    return this.txtLeavingSal;
  }
  
  public void setTxtLeavingSal(String newTxtLeavingSal) {
    this.txtLeavingSal = newTxtLeavingSal;
  }
  
  public String getTxtStartingSal() {
    return this.txtStartingSal;
  }
  
  public void setTxtStartingSal(String newTxtStartingSal) {
    this.txtStartingSal = newTxtStartingSal;
  }
  
  public String getTxtNoPersonSupervised() {
    return this.txtNoPersonSupervised;
  }
  
  public void setTxtNoPersonSupervised(String newTxtNoPersonSupervised) {
    this.txtNoPersonSupervised = newTxtNoPersonSupervised;
  }
  
  public String getTxtReportTo() {
    return this.txtReportTo;
  }
  
  public void setTxtReportTo(String newTxtReportTo) {
    this.txtReportTo = newTxtReportTo;
  }
  
  public String getTxtWorkExp() {
    return this.txtWorkExp;
  }
  
  public void setTxtWorkExp(String newTxtWorkExp) {
    this.txtWorkExp = newTxtWorkExp;
  }
}
